Bug 961710 - SELinux is preventing /usr/sbin/httpd from 'create' accesses on the netlink_route_socket .
SELinux is preventing /usr/sbin/httpd from 'create' accesses on the netlink_r...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:f225457ebfa5d37f929c898b80c...
: Reopened
: 961712 961714 961717 961719 961721 961723 961726 961728 961730 961734 961737 961739 961743 1203020 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 06:53 EDT by Nicolas Mailhot
Modified: 2015-12-02 11:04 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 21:47:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2013-05-10 06:53:44 EDT
Description of problem:
SELinux is preventing /usr/sbin/httpd from 'create' accesses on the netlink_route_socket .

*****  Plugin catchall (100. confidence) suggests  ***************************

If vous pensez que httpd devrait être autorisé à accéder create sur  netlink_route_socket par défaut.
Then vous devriez rapporter ceci en tant qu'anomalie.
Vous pouvez générer un module de stratégie local pour autoriser cet accès.
Do
autoriser cet accès pour le moment en exécutant :
# grep httpd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:certwatch_t:s0-s0:c0.c1023
Target Context                system_u:system_r:certwatch_t:s0-s0:c0.c1023
Target Objects                 [ netlink_route_socket ]
Source                        httpd
Source Path                   /usr/sbin/httpd
Port                          <Inconnu>
Host                          (removed)
Source RPM Packages           httpd-2.4.4-5.fc20.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-41.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.10.0-0.rc0.git21.1.fc20.x86_64
                              #1 SMP Tue May 7 19:47:51 UTC 2013 x86_64 x86_64
Alert Count                   3
First Seen                    2013-05-08 12:36:01 CEST
Last Seen                     2013-05-10 03:10:01 CEST
Local ID                      ce966fdf-4bb1-4a90-8d17-10094cb2e3fe

Raw Audit Messages
type=AVC msg=audit(1368148201.871:9350): avc:  denied  { create } for  pid=1593 comm="httpd" scontext=system_u:system_r:certwatch_t:s0-s0:c0.c1023 tcontext=system_u:system_r:certwatch_t:s0-s0:c0.c1023 tclass=netlink_route_socket


type=SYSCALL msg=audit(1368148201.871:9350): arch=x86_64 syscall=socket success=yes exit=ESRCH a0=10 a1=3 a2=0 a3=7fffffcc4ec0 items=0 ppid=1592 pid=1593 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=318 tty=(none) comm=httpd exe=/usr/sbin/httpd subj=system_u:system_r:certwatch_t:s0-s0:c0.c1023 key=(null)

Hash: httpd,certwatch_t,certwatch_t,netlink_route_socket,create

audit2allow

#============= certwatch_t ==============
allow certwatch_t self:netlink_route_socket create;

audit2allow -R
require {
	type certwatch_t;
	class netlink_route_socket create;
}

#============= certwatch_t ==============
allow certwatch_t self:netlink_route_socket create;


Additional info:
hashmarkername: setroubleshoot
kernel:         3.10.0-0.rc0.git24.1.fc20.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-05-10 11:23:37 EDT
*** Bug 961712 has been marked as a duplicate of this bug. ***
Comment 2 Miroslav Grepl 2013-05-10 11:23:42 EDT
*** Bug 961714 has been marked as a duplicate of this bug. ***
Comment 3 Miroslav Grepl 2013-05-10 11:23:48 EDT
*** Bug 961717 has been marked as a duplicate of this bug. ***
Comment 4 Miroslav Grepl 2013-05-10 11:23:54 EDT
*** Bug 961719 has been marked as a duplicate of this bug. ***
Comment 5 Miroslav Grepl 2013-05-10 11:24:01 EDT
*** Bug 961721 has been marked as a duplicate of this bug. ***
Comment 6 Miroslav Grepl 2013-05-10 11:24:07 EDT
*** Bug 961723 has been marked as a duplicate of this bug. ***
Comment 7 Miroslav Grepl 2013-05-10 11:24:13 EDT
*** Bug 961726 has been marked as a duplicate of this bug. ***
Comment 8 Miroslav Grepl 2013-05-10 11:24:21 EDT
*** Bug 961728 has been marked as a duplicate of this bug. ***
Comment 9 Miroslav Grepl 2013-05-10 11:24:28 EDT
*** Bug 961730 has been marked as a duplicate of this bug. ***
Comment 10 Miroslav Grepl 2013-05-10 11:24:34 EDT
*** Bug 961734 has been marked as a duplicate of this bug. ***
Comment 11 Miroslav Grepl 2013-05-10 11:24:41 EDT
*** Bug 961737 has been marked as a duplicate of this bug. ***
Comment 12 Miroslav Grepl 2013-05-10 11:24:49 EDT
*** Bug 961739 has been marked as a duplicate of this bug. ***
Comment 13 Miroslav Grepl 2013-05-10 11:25:49 EDT
*** Bug 961743 has been marked as a duplicate of this bug. ***
Comment 14 Miroslav Grepl 2013-05-10 11:28:38 EDT
Fixed.
Comment 15 Lukas Vrabec 2015-04-07 08:16:41 EDT
Mirek,
How?
Comment 16 Lukas Vrabec 2015-04-07 08:20:00 EDT
*** Bug 1203020 has been marked as a duplicate of this bug. ***
Comment 18 Fedora End Of Life 2015-11-04 10:27:03 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2015-12-01 21:47:10 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.